diff --git a/blivet/formats/fs.py b/blivet/formats/fs.py
index e24791b..8914147 100644
--- a/blivet/formats/fs.py
+++ b/blivet/formats/fs.py
@@ -109,7 +109,7 @@ def fsConfigFromFile(config_file):
     fs_configs[fs_attrs['type']] = fs_attrs
 
 class FS(DeviceFormat):
-    """ Filesystem class. """
+    """ Filesystem base class. """
     _type = "Abstract Filesystem Class"  # fs type name
     _mountType = None                    # like _type but for passing to mount
     _name = None
@@ -129,18 +129,25 @@ class FS(DeviceFormat):
     _fsProfileSpecifier = None           # mkfs option specifying fsprofile
 
     def __init__(self, *args, **kwargs):
-        """ Create a FS instance.
-
-            Keyword Args:
-
-                device -- path to the device containing the filesystem
-                mountpoint -- the filesystem's mountpoint
-                label -- the filesystem label
-                uuid -- the filesystem UUID
-                mountopts -- mount options for the filesystem
-                size -- the filesystem's size in MiB
-                exists -- indicates whether this is an existing filesystem
+        """
+            :keyword device: path to the block device node (required for
+                             existing filesystems)
+            :keyword mountpoint: the filesystem's planned mountpoint
+            :keyword label: the filesystem label
+            :keyword uuid: the filesystem UUID
+            :keyword mountopts: mount options for the filesystem
+            :type mountopts: str
+            :keyword size: the filesystem's size in MiB
+            :keyword exists: indicates whether this is an existing filesystem
+            :type exists: bool
                 
+            .. note::
+
+                The 'device' kwarg is required for existing formats. For non-
+                existent formats, it is only necessary that the :attr:`device`
+                attribute be set before the :meth:`create` method runs. Note
+                that you can specify the device at the last moment by specifying
+                it via the 'device' kwarg to the :meth:`create` method.
         """
         if self.__class__ is FS:
             raise TypeError("FS is an abstract class.")
@@ -247,9 +254,10 @@ class FS(DeviceFormat):
         return buf
 
     def _getExistingSize(self, info=None):
-        """ Determine the size of this filesystem.  Filesystem must
-            exist.  Each filesystem varies, but the general procedure
-            is to run the filesystem dump or info utility and read
+        """ Determine the size of this filesystem.
+
+            Filesystem must exist.  Each filesystem varies, but the general
+            procedure is to run the filesystem dump or info utility and read
             the block size and number of blocks for the filesystem
             and compute megabytes from that.
 
@@ -278,6 +286,11 @@ class FS(DeviceFormat):
             are looking for, the command to run and arguments, or
             something else.  If you catch an exception from this method,
             assume the filesystem cannot be resized.
+
+            :keyword info: filesystem info buffer
+            :type info: str (output of :attr:`infofsProg`)
+            :returns: size of existing fs in MiB.
+            :rtype: float.
         """
         size = self._size
 
@@ -355,14 +368,9 @@ class FS(DeviceFormat):
     def doFormat(self, *args, **kwargs):
         """ Create the filesystem.
 
-            Arguments:
-
-                None
-
-            Keyword Arguments:
-
-                options -- list of options to pass to mkfs
-
+            :keyword options: options to pass to mkfs
+            :type options: list of strings
+            :raises: FormatCreateError, FSError
         """
         log_method_call(self, type=self.mountType, device=self.device,
                         mountpoint=self.mountpoint)
@@ -406,13 +414,10 @@ class FS(DeviceFormat):
         return argv
 
     def doResize(self, *args, **kwargs):
-        """ Resize this filesystem to new size @newsize.
-
-            Arguments:
+        """ Resize this filesystem based on this instance's targetSize attr.
 
-                None
+            :raises: FSResizeError, FSError
         """
-
         if not self.exists:
             raise FSResizeError("filesystem does not exist", self.device)
 
@@ -466,6 +471,10 @@ class FS(DeviceFormat):
         return _("Unknown return code: %d.") % (rc,)
 
     def doCheck(self):
+        """ Run a filesystem check.
+
+            :raises: FSError
+        """
         if not self.exists:
             raise FSError("filesystem has not been created")
 
@@ -507,7 +516,7 @@ class FS(DeviceFormat):
                 self._supported = False
                 return
 
-        # If we successfully loaded a kernel module, for this filesystem, we
+        # If we successfully loaded a kernel module for this filesystem, we
         # also need to update the list of supported filesystems.
         update_kernel_filesystems()
 
@@ -516,7 +525,7 @@ class FS(DeviceFormat):
         ret = False
 
         if self.status:
-            raise RuntimeError("filesystem is already mounted")
+            return True
 
         # create a temp dir
         prefix = "%s.%s" % (os.path.basename(self.device), self.type)
@@ -538,15 +547,11 @@ class FS(DeviceFormat):
     def mount(self, *args, **kwargs):
         """ Mount this filesystem.
 
-            Arguments:
-
-                None
-
-            Keyword Arguments:
-
-                options -- mount options (overrides all other option strings)
-                chroot -- prefix to apply to mountpoint
-                mountpoint -- mountpoint (overrides self.mountpoint)
+            :keyword options: mount options (overrides all other option strings)
+            :type options: str.
+            :keyword chroot: prefix to apply to mountpoint
+            :keyword mountpoint: mountpoint (overrides self.mountpoint)
+            :raises: FSError
         """
         options = kwargs.get("options", "")
         chroot = kwargs.get("chroot", "/")
@@ -632,7 +637,11 @@ class FS(DeviceFormat):
         return argv 
 
     def writeLabel(self, label):
-        """ Create a label for this filesystem. """
+        """ Create a label for this filesystem.
+
+            :param label: the label text
+            :raises: FSError
+        """
         if not self.exists:
             raise FSError("filesystem has not been created")
 
@@ -771,6 +780,18 @@ class FS(DeviceFormat):
     # generically named methods so filesystems and formatted devices
     # like swap and LVM physical volumes can have a common API.
     def create(self, *args, **kwargs):
+        """ Create the filesystem on the specified block device.
+
+            :keyword device: path to device node
+            :type device: str.
+            :raises: FormatCreateError, FSError
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         if self.exists:
             raise FSError("filesystem already exists")
 
@@ -782,7 +803,19 @@ class FS(DeviceFormat):
         """ Mount the filesystem.
 
             The filesystem will be mounted at the directory indicated by
-            self.mountpoint.
+            self.mountpoint unless overridden via the 'mountpoint' kwarg.
+
+            :keyword device: device node path
+            :type device: str.
+            :keyword mountpoint: mountpoint (overrides self.mountpoint)
+            :type mountpoint: str.
+            :raises: FormatSetupError.
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
         """
         return self.mount(**kwargs)
 
@@ -878,7 +911,12 @@ class Ext2FS(FS):
             raise FSError("failed to set UUID for %s: %s" % (self.device, err))
 
     def _getMinSize(self, info=None):
-        """ Minimum size for this filesystem in MB. """
+        """ Set the minimum size for this filesystem in MiB.
+
+            :keyword info: filesystem info buffer
+            :type info: str (output of :attr:`infofsProg`)
+            :rtype: None.
+        """
         size = self._minSize
         blockSize = None
 
@@ -1051,6 +1089,23 @@ class BTRFS(FS):
         pass
 
     def setup(self, *args, **kwargs):
+        """ Mount the filesystem.
+
+            The filesystem will be mounted at the directory indicated by
+            self.mountpoint unless overridden via the 'mountpoint' kwarg.
+
+            :keyword device: device node path
+            :type device: str.
+            :keyword mountpoint: mountpoint (overrides self.mountpoint)
+            :type mountpoint: str.
+            :raises: FormatSetupError.
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, type=self.mountType, device=self.device,
                         mountpoint=self.mountpoint)
         if not self.mountpoint and "mountpoint" not in kwargs:
@@ -1295,7 +1350,7 @@ class NTFS(FS):
         return False
 
     def _getMinSize(self, info=None):
-        """ Set the minimum size for this filesystem.
+        """ Set the minimum size for this filesystem in MiB.
 
             :keyword info: filesystem info buffer
             :type info: str (output of :attr:`infofsProg`)
diff --git a/blivet/formats/luks.py b/blivet/formats/luks.py
index 0c4b25b..011208e 100644
--- a/blivet/formats/luks.py
+++ b/blivet/formats/luks.py
@@ -43,7 +43,7 @@ log = logging.getLogger("blivet")
 
 
 class LUKS(DeviceFormat):
-    """ A LUKS device. """
+    """ LUKS """
     _type = "luks"
     _name = "LUKS"
     _lockedName = _("Encrypted")
@@ -54,20 +54,32 @@ class LUKS(DeviceFormat):
     _packages = ["cryptsetup-luks"]     # required packages
 
     def __init__(self, *args, **kwargs):
-        """ Create a LUKS instance.
-
-            Keyword Arguments:
-
-                device -- the path to the underlying device
-                name -- the name of the mapped device
-                uuid -- this device's UUID
-                passphrase -- device passphrase (string)
-                key_file -- path to a file containing a key (string)
-                cipher -- cipher mode string
-                key_size -- key size in bits
-                exists -- indicates whether this is an existing format
-                escrow_cert -- certificate to use for key escrow
-                add_backup_passphrase -- generate a backup passphrase?
+        """
+            :keyword device: the path to the underlying device
+            :keyword uuid: the LUKS UUID
+            :keyword exists: indicates whether this is an existing format
+            :type exists: bool
+            :keyword name: the name of the mapped device
+            :keyword passphrase: device passphrase
+            :type passphrase: str
+            :keyword key_file: path to a file containing a key
+            :type key_file: str
+            :keyword cipher: cipher mode
+            :type cipher: str
+            :keyword key_size: key size in bits
+            :type key_size: int
+            :keyword escrow_cert: certificate (contents) to use for key escrow
+            :type escrow_cert: str
+            :keyword add_backup_passphrase: generate a backup passphrase?
+            :type add_backup_passphrase: bool.
+
+            .. note::
+
+                The 'device' kwarg is required for existing formats. For non-
+                existent formats, it is only necessary that the :attr:`device`
+                attribute be set before the :meth:`create` method runs. Note
+                that you can specify the device at the last moment by specifying
+                it via the 'device' kwarg to the :meth:`create` method.
         """
         log_method_call(self, *args, **kwargs)
         DeviceFormat.__init__(self, *args, **kwargs)
@@ -157,7 +169,18 @@ class LUKS(DeviceFormat):
         raise NotImplementedError("probe method not defined for LUKS")
 
     def setup(self, *args, **kwargs):
-        """ Open, or set up, the format. """
+        """ Open the encrypted block device.
+
+            :keyword device: device node path
+            :type device: str.
+            :raises: FormatSetupError.
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, device=self.device, mapName=self.mapName,
                         type=self.type, status=self.status)
         if not self.configured:
@@ -183,7 +206,18 @@ class LUKS(DeviceFormat):
             crypto.luks_close(self.mapName)
 
     def create(self, *args, **kwargs):
-        """ Create the format. """
+        """ Write the formatting to the specified block device.
+
+            :keyword device: path to device node
+            :type device: str.
+            :raises: FormatCreateError
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
         if not self.hasKey:
@@ -207,7 +241,11 @@ class LUKS(DeviceFormat):
             self.notifyKernel()
 
     def destroy(self, *args, **kwargs):
-        """ Create the format. """
+        """ Remove the formatting from the associated block device.
+
+            :raises: FormatDestroyError
+            :returns: None.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
         self.teardown()
diff --git a/blivet/formats/lvmpv.py b/blivet/formats/lvmpv.py
index 4111ad0..5c1f8f5 100644
--- a/blivet/formats/lvmpv.py
+++ b/blivet/formats/lvmpv.py
@@ -49,17 +49,23 @@ class LVMPhysicalVolume(DeviceFormat):
     _ksMountpoint = "pv."
 
     def __init__(self, *args, **kwargs):
-        """ Create an LVMPhysicalVolume instance.
-
-            Keyword Arguments:
-
-                device -- path to the underlying device
-                uuid -- this PV's uuid (not the VG uuid)
-                vgName -- the name of the VG this PV belongs to
-                vgUuid -- the UUID of the VG this PV belongs to
-                peStart -- offset of first physical extent
-                exists -- indicates whether this is an existing format
-
+        """
+            :keyword device: path to the block device node
+            :keyword uuid: this PV's uuid (not the VG uuid)
+            :keyword exists: indicates whether this is an existing format
+            :type exists: bool
+            :keyword vgName: the name of the VG this PV belongs to
+            :keyword vgUuid: the UUID of the VG this PV belongs to
+            :keyword peStart: offset of first physical extent
+            :type peStart: float
+
+            .. note::
+
+                The 'device' kwarg is required for existing formats. For non-
+                existent formats, it is only necessary that the :attr:`device`
+                attribute be set before the :meth:`create` method runs. Note
+                that you can specify the device at the last moment by specifying
+                it via the 'device' kwarg to the :meth:`create` method.
         """
         log_method_call(self, *args, **kwargs)
         DeviceFormat.__init__(self, *args, **kwargs)
@@ -98,7 +104,18 @@ class LVMPhysicalVolume(DeviceFormat):
         #self.vgUuid = info['vg_uuid']
 
     def create(self, *args, **kwargs):
-        """ Create the format. """
+        """ Write the formatting to the specified block device.
+
+            :keyword device: path to device node
+            :type device: str
+            :raises: FormatCreateError
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
 
@@ -121,7 +138,11 @@ class LVMPhysicalVolume(DeviceFormat):
         self.notifyKernel()
 
     def destroy(self, *args, **kwargs):
-        """ Destroy the format. """
+        """ Remove the formatting from the associated block device.
+
+            :raises: FormatDestroyError
+            :returns: None.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
         if not self.exists:
diff --git a/blivet/formats/mdraid.py b/blivet/formats/mdraid.py
index 44d111e..8a73840 100644
--- a/blivet/formats/mdraid.py
+++ b/blivet/formats/mdraid.py
@@ -49,15 +49,16 @@ class MDRaidMember(DeviceFormat):
     _ksMountpoint = "raid."
     
     def __init__(self, *args, **kwargs):
-        """ Create a MDRaidMember instance.
-
-            Keyword Arguments:
+        """
+            :keyword device: path to block device node
+            :keyword uuid: this member device's uuid
+            :keyword exists: whether this is an existing format
+            :type exists: bool
+            :keyword mdUuid: the uuid of the array this device belongs to
 
-                device -- path to underlying device
-                uuid -- this member device's uuid
-                mdUuid -- the uuid of the array this device belongs to
-                exists -- indicates whether this is an existing format
+            .. note::
 
+                The 'device' kwarg is required for existing formats.
         """
         log_method_call(self, *args, **kwargs)
         DeviceFormat.__init__(self, *args, **kwargs)
@@ -93,6 +94,11 @@ class MDRaidMember(DeviceFormat):
             self.raidMinor = info['mdMinor']
 
     def destroy(self, *args, **kwargs):
+        """ Remove the formatting from the associated block device.
+
+            :raises: FormatDestroyError
+            :returns: None.
+        """
         if not self.exists:
             raise MDMemberError("format does not exist")
 
diff --git a/blivet/formats/multipath.py b/blivet/formats/multipath.py
index 4102cb0..893c446 100644
--- a/blivet/formats/multipath.py
+++ b/blivet/formats/multipath.py
@@ -49,16 +49,11 @@ class MultipathMember(DeviceFormat):
     _hidden = True                      # hide devices with this formatting?
 
     def __init__(self, *args, **kwargs):
-        """ Create a DeviceFormat instance.
-
-            Keyword Arguments:
-
-                device -- path to the underlying device
-                uuid -- this format's UUID
-                exists -- indicates whether this is an existing format
-
-            On initialization this format is like DeviceFormat
-
+        """
+            :keyword device: path to the underlying device (required)
+            :keyword uuid: this format's UUID
+            :keyword exists: whether this is an existing format
+            :type exists: bool
         """
         log_method_call(self, *args, **kwargs)
         DeviceFormat.__init__(self, *args, **kwargs)
diff --git a/blivet/formats/prepboot.py b/blivet/formats/prepboot.py
index c7ed111..3939af5 100644
--- a/blivet/formats/prepboot.py
+++ b/blivet/formats/prepboot.py
@@ -40,19 +40,36 @@ class PPCPRePBoot(DeviceFormat):
     _minSize = 4                        # minimum size in MB
 
     def __init__(self, *args, **kwargs):
-        """ Create a PRePBoot instance.
-
-            Keyword Arguments:
+        """
+            :keyword device: path to block device node
+            :keyword exists: whether this is an existing format
+            :type exists: bool
 
-                device -- path to the underlying device
-                exists -- indicates whether this is an existing format
+            .. note::
 
+                The 'device' kwarg is required for existing formats. For non-
+                existent formats, it is only necessary that the :attr:`device`
+                attribute be set before the :meth:`create` method runs. Note
+                that you can specify the device at the last moment by specifying
+                it via the 'device' kwarg to the :meth:`create` method.
         """
         DeviceFormat.__init__(self, *args, **kwargs)
 
     def create(self, *args, **kwargs):
+        """ Write the formatting to the specified block device.
+
+            :keyword device: path to device node
+            :type device: str
+            :raises: FormatCreateError
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         if self.exists:
-            raise FSError("PReP Boot format already exists")
+            raise FormatCreateError("PReP Boot format already exists")
 
         DeviceFormat.create(self, *args, **kwargs)
 
diff --git a/blivet/formats/swap.py b/blivet/formats/swap.py
index 3f903be..d966b55 100644
--- a/blivet/formats/swap.py
+++ b/blivet/formats/swap.py
@@ -50,16 +50,22 @@ class SwapSpace(DeviceFormat):
     _maxSize = Size(spec="128 GiB")
 
     def __init__(self, *args, **kwargs):
-        """ Create a SwapSpace instance.
-
-            Keyword Arguments:
-
-                device -- path to the underlying device
-                uuid -- this swap space's uuid
-                label -- this swap space's label
-                priority -- this swap space's priority
-                exists -- indicates whether this is an existing format
-
+        """
+            :keyword device: path to the block device node
+            :keyword uuid: this swap space's uuid
+            :keyword exists: whether this is an existing format
+            :type exists: bool
+            :keyword label: this swap space's label
+            :keyword priority: this swap space's priority
+            :type priority: int
+
+            .. note::
+
+                The 'device' kwarg is required for existing formats. For non-
+                existent formats, it is only necessary that the 'device'
+                attribute be set before the :meth:`~.SwapSpace.create` method
+                runs. You can specify the device at the last moment by via the
+                'device' kwarg to the :meth:`~.SwapSpace.create` method.
         """
         log_method_call(self, *args, **kwargs)
         DeviceFormat.__init__(self, *args, **kwargs)
@@ -124,7 +130,18 @@ class SwapSpace(DeviceFormat):
         return self.exists and swap.swapstatus(self.device)
 
     def setup(self, *args, **kwargs):
-        """ Open, or set up, a device. """
+        """ Activate the formatting.
+
+            :keyword device: device node path
+            :type device: str.
+            :raises: FormatSetupError.
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
         if not self.exists:
@@ -147,18 +164,23 @@ class SwapSpace(DeviceFormat):
             swap.swapoff(self.device)
 
     def create(self, *args, **kwargs):
-        """ Create the device. """
+        """ Write the formatting to the specified block device.
+
+            :keyword device: path to device node
+            :type device: str.
+            :raises: FormatCreateError
+            :returns: None.
+
+            .. :note::
+
+                If a device node path is passed to this method it will overwrite
+                any previously set value of this instance's "device" attribute.
+        """
         log_method_call(self, device=self.device,
                         type=self.type, status=self.status)
-        force = kwargs.get("force")
-        if not force and self.exists:
+        if self.exists:
             raise SwapSpaceError("format already exists")
 
-        if force:
-            self.teardown()
-        elif self.status:
-            raise SwapSpaceError("device exists and is active")
-
         try:
             DeviceFormat.create(self, *args, **kwargs)
             swap.mkswap(self.device, label=self.label)
diff --git a/blivet/iscsi.py b/blivet/iscsi.py
index fceb881..4c9d7e8 100644
--- a/blivet/iscsi.py
+++ b/blivet/iscsi.py
@@ -407,7 +407,4 @@ class iscsi(object):
 
         return nodeDisks
 
-# Create iscsi singleton
-iscsi = iscsi()
-
 # vim:tw=78:ts=4:et:sw=4
